Bug 6403 - Record local use stats when checking in
Summary: Record local use stats when checking in
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-24 16:42 UTC by Ian Walls
Modified: 2013-12-05 19:53 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (functionality) (4.42 KB, patch)
2011-09-22 20:30 UTC, Ian Walls
Details | Diff | Splinter Review
Proposed Patch (DB changes) (2.81 KB, patch)
2011-09-22 20:31 UTC, Ian Walls
Details | Diff | Splinter Review
Proposed Patch (DB changes) (3.48 KB, patch)
2011-09-26 14:18 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Enh 6403: Record local use stats when checking in unissued materials (4.48 KB, patch)
2011-09-26 14:26 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Enh 6403 DB changes: add RecordLocalUseOnReturn syspref (2.89 KB, patch)
2011-09-26 14:28 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-05-24 16:42:01 UTC
A new system preference, RecordInhouseUseAtCheckin, which will add a 'local-use' statistical entry for items when they are checked in.  This will only apply when:

1.  the system preference is on (obviously)
2.  the item is not checked out
3.  the item is not on hold or up for transfer

That is, this statistical use will only occur in the situation where the "not checked out" error message would be displayed.  This message shall be added onto to indicate that statistical usage was recorded.

The borrowernumber for the staff member doing the checkin shall be entered into the statistics table (rather than the borrowernumber for a statistical usage patron)
Comment 1 Ian Walls 2011-09-22 20:30:47 UTC Comment hidden (obsolete)
Comment 2 Ian Walls 2011-09-22 20:31:23 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2011-09-26 14:18:49 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2011-09-26 14:26:40 UTC
Created attachment 5588 [details] [review]
[SIGNED-OFF] Enh 6403: Record local use stats when checking in unissued materials

Adds a new system preference, RecordLocalUseOnReturn, which when active will change the statistical
entry type from "return" to "localuse" in AddReturn() if the material was not on loan when returned.
The intended use-case here is for libraries with 'open' book drops, in which patrons can put locally
used (but unissued) materials.

Adds a small message to the user interface to confirm that Local Use was recorded.

This change opens up the possibility to record more types of statistics on return; one would just need
to update the $stat_type variable accordingly.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 5 Nicole C. Engard 2011-09-26 14:28:21 UTC
Created attachment 5589 [details] [review]
[SIGNED-OFF] Enh 6403 DB changes: add RecordLocalUseOnReturn syspref

This patch, separate from the main functionality patch, adds the new syspref to the sysprefs.sql
as well as updatedatabase.pl

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 6 Paul Poulain 2011-10-07 14:52:37 UTC
QA comment
  * good test plan
  * works as expected
  * nothing to say about the code itself

My only comment could be that some libraries consider saving such returns as a bug, so we could set the default value of the new syspref to 1 directly.
But we've a rule to say a new syspref sould not change the behaviour for libraries that don't do anything with it.

SO :
* passed QA
* it's worth being very clear in the release note that most libraries will probably want to set this value to 1 after upgrading
Comment 7 Chris Cormack 2011-10-09 06:54:57 UTC
Pushed, please test
Comment 8 Jared Camins-Esakov 2012-05-23 12:10:31 UTC
This appears to be working. Closing.